<%@ Page Language="VB" MasterPageFile="~/home.master" AutoEventWireup="false" CodeFile="change-password.aspx.vb" Inherits="security_change_password" title="Change Password" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table border="0" cellpadding="0" cellspacing="10" width="500" class="LoginOuterBox">
        <tr>
            <td width="125" align="left" valign="top" id="LoginIntro">
                <img src="images/icons/admin_2_unlock_48.gif" /><br /><br />
                <h2>Change Password</h2>
                <p>Passwords must be at least 6 characters long.</p>
                <p>You will be successfully logged in, and ready to use the administration console, after changing your password.</p>
            </td>
            
            <td>
            <h2>Change Password</h2>
            <table border="1" cellpadding="15" cellspacing="0" class="LoginBox">
                <tr>
                    <td align="left">
                        <img src="images/icons/lock_write_48.gif" align="right" style="margin-bottom: 20px"/>
                        <asp:ChangePassword ID="ChangePassword1" runat="server" ContinueDestinationPageUrl="default.aspx" DisplayUserName="true" CancelDestinationPageUrl="default.aspx" UserNameLabelText="Username:" FailureTextStyle-ForeColor="Red" ChangePasswordFailureText="Password incorrect or New Password invalid.  New Password length minimum: {0}. ">
                            <ChangePasswordTemplate>
                            
                                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Font-Bold="true">Username</asp:Label><br />
                                <asp:TextBox ID="UserName" runat="server" Width="200"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" ErrorMessage="Username is required." ToolTip="Username is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator>
                                <br />
                            
                                <asp:Label ID="CurrentPasswordLabel" runat="server" AssociatedControlID="CurrentPassword" Font-Bold="true">Password:</asp:Label><br />
                                <asp:TextBox ID="CurrentPassword" runat="server" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="CurrentPasswordRequired" runat="server" ControlToValidate="CurrentPassword" ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator>
                                <br /><br />
                                
                                <asp:Label ID="NewPasswordLabel" runat="server" AssociatedControlID="NewPassword" Font-Bold="true">New Password:</asp:Label><br />
                                <asp:TextBox ID="NewPassword" runat="server" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" ControlToValidate="NewPassword" ErrorMessage="New Password is required." ToolTip="New Password is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator>
                                <br /><br />

                                <asp:Label ID="ConfirmNewPasswordLabel" runat="server" AssociatedControlID="ConfirmNewPassword" Font-Bold="true">Confirm New Password:</asp:Label><br />
                                <asp:TextBox ID="ConfirmNewPassword" runat="server" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="ConfirmNewPasswordRequired" runat="server" ControlToValidate="ConfirmNewPassword" ErrorMessage="Confirm New Password is required." ToolTip="Confirm New Password is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="NewPasswordCompare" runat="server" ControlToCompare="NewPassword" ControlToValidate="ConfirmNewPassword" Display="Dynamic" ErrorMessage="The Confirm New Password must match the New Password entry." ValidationGroup="ChangePassword1"></asp:CompareValidator>
                                <br />
                                
                                <asp:Literal ID="FailureText" runat="server" EnableViewState="False" ></asp:Literal>
                                <br /><br />

                                <asp:Button ID="ChangePasswordPushButton" runat="server" CommandName="ChangePassword" Text="Change Password" ValidationGroup="ChangePassword1" CssClass="LoginButton"/>
                                <asp:Button ID="CancelPushButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" CssClass="LoginButton"/>
                            </ChangePasswordTemplate>
                            <SuccessTemplate>
                                <p><b>Change Password Complete</b></p>
                                <p>Your password has been changed!</p>
                                <p><asp:Button ID="ContinuePushButton" runat="server" CausesValidation="False" CommandName="Continue" Text="Continue" /></p>
                            </SuccessTemplate>
                        </asp:ChangePassword>
                        
                        <p><a href="default.aspx">&laquo; Return to login</a></p>
                     </td>
                </tr>
            </table>
            </td>
        </tr>
    </table>

</asp:Content>

