<%@ Page Language="VB" MasterPageFile="~/home.master" AutoEventWireup="false" CodeFile="password-recovery.aspx.vb" Inherits="security_password_recovery" title="Password Recovery" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table border="0" cellpadding="0" cellspacing="10" width="500" class="LoginOuterBox">
        <tr>
            <td width="125" align="left" valign="top" id="LoginIntro">
                <img src="images/icons/admin_2_unlock_48.gif" /><br /><br />
                <h2>Lost Password?</h2>
                <p>Your password will be sent to the email address associated with the account.</p>
            </td>
            
            <td>
            <h2>Password Recovery</h2>
            <table border="1" cellpadding="15" cellspacing="0" class="LoginBox">
                <tr>
                    <td align="left">
                        <img src="images/icons/lock_help_48.gif" align="right" style="margin-bottom: 20px"/>
                        <asp:PasswordRecovery ID="PasswordRecovery1" runat="server">
                            <QuestionTemplate>
                                <p><b>Identity Confirmation</b></p>
                                <p>Answer the following question to receive your password.</p>
                                <p>
                                    <b>Username</b><br />
                                    <asp:Literal ID="UserName" runat="server"></asp:Literal>
                                </p>
                                <p>
                                    <b>Question</b><br />
                                    <asp:Literal ID="Question" runat="server"></asp:Literal>
                                </p>
                                <p>
                                    <asp:Label ID="AnswerLabel" runat="server" AssociatedControlID="Answer">Answer</asp:Label><br />
                                    <asp:TextBox ID="Answer" runat="server"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="AnswerRequired" runat="server" ControlToValidate="Answer" ErrorMessage="Answer is required." ToolTip="Answer is required." ValidationGroup="ctl13$PasswordRecovery1">*</asp:RequiredFieldValidator>
                                </p>
                                <p><asp:Literal ID="FailureText" runat="server" EnableViewState="False" ></asp:Literal></p>
                                <p><asp:Button ID="SubmitButton" runat="server" CommandName="Submit" Text="Submit" ValidationGroup="ctl13$PasswordRecovery1" CssClass="LoginButton" /></p>
                            </QuestionTemplate>
                            <UserNameTemplate>
                                Enter your Username to receive your password.
                                <br /><br />
                                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Font-Bold="true">Username:</asp:Label><br />
                                <asp:TextBox ID="UserName" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="ctl01$PasswordRecovery1">*</asp:RequiredFieldValidator>
                                <br />
                                <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                                <br />
                                <asp:Button ID="SubmitButton" runat="server" CommandName="Submit" Text="Submit" ValidationGroup="ctl01$PasswordRecovery1" cssClass="LoginButton"/>
                            </UserNameTemplate>
                            <SuccessTemplate>
                                <p><b>Success</b></p>
                                <p>Your password has been sent to you.<br />Please check your email inbox for confirmation of your password.</p>
                                <p><img src="images/icons/mail_box_ok_48.gif" /></p>

                            </SuccessTemplate>                                        
                        </asp:PasswordRecovery>
                        
                        <p><a href="default.aspx">&laquo; Return to login</a></p>
                     </td>
                </tr>
            </table>
            </td>
        </tr>
    </table>
</asp:Content>

