<%@ Page Language="VB" AutoEventWireup="false" CodeFile="default.aspx.vb" Inherits="uploadManager_default"  EnableSessionState="True" EnableViewState="true"%>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>

<%@ Register Assembly="RadTreeView.Net2" Namespace="Telerik.WebControls" TagPrefix="radT" %>

<%@ Register Assembly="RadSplitter.Net2" Namespace="Telerik.WebControls" TagPrefix="radspl" %>

<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>

<%@ Register Assembly="RadUpload.Net2" Namespace="Telerik.WebControls" TagPrefix="radU" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Uploads Manager - <%= Session("CompanyName") %></title>
    <link href="styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
<script type="text/javascript">
<!--
function ContextMenuClick(node, itemText)
{                
    if (itemText == "Rename File" || itemText=="Rename Folder")
    {        
        node.StartEdit();
    }
    if (itemText == "Download File")
    {        
        window.open("../download.aspx?path="+escape(node.Category)+"&amp;filename="+escape(node.Text),null,"height=10,width=10");
    }
    if (itemText == "Expand All Folders")
    {
        var treeviewInstance = <%= RadTree1.ClientID %>;
        var i;
        for (i=0; i < treeviewInstance.AllNodes.length; i++)
        {
             if (treeviewInstance.AllNodes[i].Nodes != null)
             {
               treeviewInstance.AllNodes[i].Expand();
             }
        }    
    }
    if (itemText == "Collapse All Folders")
    {
        var treeviewInstance = <%= RadTree1.ClientID %>;
        var i;
        for (i=1; i < treeviewInstance.AllNodes.length; i++)
        {
             if (treeviewInstance.AllNodes[i].Nodes != null)
             {
               treeviewInstance.AllNodes[i].Collapse();
             }
        }    
    }
    
    if (itemText == "Create New Folder")
    {
        if (!node.Expanded)
        {
            node.Expand()
        }
    }
    
    return true;
}

function DropCheck(sourceNode, destNode, events)
{
    if(destNode.Category=="Recycle")
    {
        if (!confirm("Are you sure you want to delete " + sourceNode.Text + "?"))
        {return false}
    }
}

function HighlightNode(text)
{
    var node = RadTree1.FindNodeByValue(text);
    if (node != null)
    {
        node.StartEdit();
    }
}

function ManagePanes()   
{   
    var slidingZone = <%= RadSlidingZone1.ClientID %>;    
    slidingZone.DockPane('<%= ResultSlidingPane.ClientID %>');   
}   
//-->
</script>

<center>
    <form id="form1" runat="server" enableviewstate="true">
    <div id="banner">
        <img style="float:left; position:relative; top:-30px; margin-bottom:-30px" src="../images/files_128.gif" alt="File Upload Manager"/>
        <div id="bannertext">
            <h1>File Upload Manager</h1>
            <p>Safe and secure management of uploaded files</p>
        </div>
        <img border="0" style="float:right;" src="../images/cb-logo.jpg" alt="Cudd Bentley Consulting"/>
    </div>
    <div style="width:912px; height:550px">
        <radspl:RadSplitter ID="RadSplitter1" 
                            runat="server" 
                            BackColor="White" 
                            Skin="Telerik" 
                            SkinsPath="~/RadControls/Splitter/Skins"
                            Width="100%" 
                            Height="100%">
            <radspl:RadPane ID="RadPane1" runat="server" Width="22px">
                <radspl:RadSlidingZone ID="RadSlidingZone1" runat="server" OnClientLoaded="ManagePanes">

                    <radspl:RadSlidingPane ID="ResultSlidingPane" 
                                           runat="server" 
                                           Title="Results" 
                                           Width="350px" 
                                           CssClass="ResultPane" 
                                           EnableDock="true" IconUrl="~/images/icons/zoom_16.gif">
                        <div id="Div1">
                            <asp:Label ID="lblNoResults" runat="server" Visible="True">
                            <h2>Important</h2>
                            <p>Uploaded files will be saved to your company workspace on our server.  Please ensure you use unique filenames for all uploads as existing files of the same name will be overwritten.</p>
                            <b>No uploaded files yet</b>
                            </asp:Label>
                            <asp:Repeater ID="rptReqults" runat="server" Visible="False">
                                <HeaderTemplate>
                                    <b>Uploaded files:</b><br />
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <p>
                                    <asp:Literal ID="ltFileName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FileName")%>'>
                                    </asp:Literal><br />
                                    (<asp:Literal ID="ltFileSize" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ContentLength").ToString() + " bytes"%>'></asp:Literal>)
                                    </p>
                                </ItemTemplate>
                            </asp:Repeater>
                        
                        </div>
                    </radspl:RadSlidingPane>

                    <radspl:RadSlidingPane ID="RadSlidingPane1" 
                                           runat="server" 
                                           Title="Uploaded Files" 
                                           CssClass="TreeviewPane" 
                                           Width="300px" 
                                           IconUrl="../images/diskette_info_16.gif">
                        <radT:RadTreeView
                            ID="RadTree1" 
                            runat="server" 
                            AutoPostBack="true"
                            BeforeClientContextClick="ContextMenuClick" 
                            BeforeClientDrop="DropCheck"  
                            OnNodeContextClick="ContextClicked" 
                            OnNodeDrop="RadTree1_NodeDrop"
                            Sort="Ascending"
                            RetainScrollPosition="true"   
                            AllowNodeEditing="True" 
                            DragAndDrop="true"
                            DragAndDropBetweenNodes="false" 
                            OnNodeEdit="RadTree1_NodeEdit" 
                            Skin="Telerik" 
                            ImagesBaseDir="~/TreeView/Img/WindowsXP/"
                            Width="100%" 
                            Height="100%"
                            />
                        
                    </radspl:RadSlidingPane>
                    <radspl:RadSlidingPane ID="RadSlidingPane2" runat="server" Title="Contact" Width="250px" CssClass="ContactPane" IconUrl="../images/envelope_info_16.gif">
                    <div id="contact">
                    <h2>Contact Us</h2>
                        <b>
                        Cudd Bentley Consulting</b><br />
                        Wingate House<br />
                        High Street<br />
                        Ascot<br />
                        SL5 7HG<br />
                        <br />
                        Tel: +44 (0)1344 628821<br />
                        Fax: +44 (0)1344 623448<br /><br />
                        Email: <a href="mailto:sales@martinjohn.co.uk">support@cuddbentley.co.uk</a><br />
                        <br />
                        Website: <a href="http://www.martinjohn.co.uk">www.cuddbentley.co.uk</a></div>
                        </radspl:RadSlidingPane>
                    <radspl:RadSlidingPane ID="RadSlidingPane3" runat="server" Title="Help" IconUrl="../images/help_16.gif" CssClass="HelpPane" Width="300px">
                    <h2>
                        File Upload Manager</h2>
                        <p>
                            File Upload Manager is designed to allow easy, yet secure, uploading of designated
                            file types to our web server.&nbsp; Please compress your files with WinZip before uploading, to save time and space.</p>
                        <p>
                            <strong>Uploading Files<br />
                            </strong>To upload files, use the upload pane on the right.&nbsp; Click "Select"
                            to open a file browser dialogue and choose the file to upload.&nbsp; To upload more
                            than one file, click "Add" and select a new file each time.</p>
                        <p>
                            Once you've selected your files for uploading, simply click the "Upload" button.&nbsp;
                            You will see a progress meter that indicates the speed of the upload, and how long
                            until it will finish.</p>
                        <p>
                            <strong>Uploaded Files<br />
                            </strong>In the Uploaded Files sliding pane, you can see your files.&nbsp; Right
                            click on any file for the context menu options.<strong></strong></p>
                        <p>
                            <strong></strong>&nbsp;</p>
                    
                    </radspl:RadSlidingPane>
              </radspl:RadSlidingZone>
            </radspl:RadPane>
            <radspl:RadSplitBar ID="RadSplitBar1" runat="server" CollapseMode="Forward" />

            <radspl:RadPane ID="RadPane2" runat="server" CssClass="UploadPane" width="100%">
            <h2>Upload Files</h2>
            <p style="line-height:1.4em">
            Please zip your files into a <b>.zip</b> file before uploading.<br/>
            Select files for uploading, then click "Upload".</p>
            <radU:RadUpload ID="upload1" 
                            runat="server" 
                            OverwriteExistingFiles="true" 
                            TargetFolder="~/incoming/"  
                            Skin="Telerik" 
                            FocusOnLoad="true"
                            AllowedFileExtensions=".zip,.pdf,.jpg,.jpeg,.gif,.doc,.xls,.ppt,.rar,.mdb,.mdf"
                            MaxFileSize="1024000000" />
                            
            <asp:Button ID="btnSubmit" 
                        OnClick="btnSubmit_Click" 
                        runat="server" 
                        Text="Upload"
                        CssClass="RadUploadButton" 
                        Style="margin: 10px 5px 5px 0px;" /><br /><br />
                <radU:RadProgressArea ID="ProgressArea1" runat="server" DisplayCancelButton="true" skin="Telerik"  />
                <radU:RadProgressManager ID="ProgressManager1" runat="server"  />
            </radspl:RadPane>
        </radspl:RadSplitter>
        </div>
        <radA:RadAjaxManager ID="RadAjaxManager1" runat="server" EnableOutsideScripts="true">
            <AjaxSettings>
                <radA:AjaxSetting AjaxControlID="RadTree1">
                    <UpdatedControls>
                        <radA:AjaxUpdatedControl ControlID="RadTree1" />
                    </UpdatedControls>
                </radA:AjaxSetting>
            </AjaxSettings>
        </radA:RadAjaxManager>  
        <asp:Panel ID="FooterPanel" runat="server">
            <div id="credits">
            <div id="footer">
            <asp:LoginStatus ID="LoginStatus1" runat="server" /> &nbsp;|&nbsp; 
            <a href="default.aspx">Uploads</a>
            &nbsp;|&nbsp; <a href="../useradmin/default.aspx">User Admin</a>
            &nbsp;|&nbsp; <asp:Label ID="lblSize" runat="server" Text="" style="font-size:1.4em"/>
            </div>
                Application Designed & Coded by <a href="http://www.bsolveit.com" target="_blank" title="Visit the BSolve IT Limited website">BSolve IT Limited</a><br />
                "<b>Internet Solutions for Business Growth</b>"
            </div>
        </asp:Panel>
    </form>
</center>

</body>
</html>
