<%@ Page Language="VB"  MasterPageFile="~/home.master" AutoEventWireup="false" CodeFile="create-user.aspx.vb" Inherits="security_create_user" title="Create New User" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table border="0" cellpadding="0" cellspacing="10" width="500" class="LoginOuterBox">
        <tr>
            <td width="125" align="left" valign="top" id="LoginIntro">
                <img src="images/icons/admin_2_unlock_48.gif" /><br /><br />
                <h2>Create User</h2>
                <p>To create a new user complete the form opposite, including the security question & answer.</p>
                <p>Passwords must be at least 6 characters long.</p>
                <p><a href="default.aspx">&laquo; Return to login</a></p>
            </td>
            
            <td>
            <h2>Create New User Account</h2>
            <table border="1" cellpadding="15" cellspacing="0" class="LoginBox">
                <tr>
                    <td align="left">
                        <img src="images/icons/user_2_add_48.gif" align="right" style="margin-bottom: 20px"/>
                        
                        <asp:CreateUserWizard ID="CreateUserWizard1" runat="server" 
                                CompleteSuccessText="The user account has been successfully created." 
                                DuplicateUserNameErrorMessage="Please enter a different username." 
                                UserNameLabelText="Username" 
                                TitleTextStyle-Font-Bold="true" 
                                ContinueDestinationPageUrl="default.aspx" 
                                CancelDestinationPageUrl="default.aspx" 
                                LoginCreatedUser="true" 
                                MailDefinition-BodyFileName="new-user-created.txt" 
                                MailDefinition-From="no-reply@tollers.co.uk" 
                                MailDefinition-Subject="File Upload Manager:  New user account created!" 
                                OnSendingMail="CreateUserWizard1_SendingMail">
                            <WizardSteps>
                            
                                <asp:WizardStep ID="CreateUserWizardStep0" runat="server" AllowReturn="true">
                                        <h2>Step 1 of 2:</h2>
                                        <asp:Label ID="FirstNameLabel" runat="server" AssociatedControlID="FirstName" Font-Bold="true">Firstname</asp:Label><br />
                                        <asp:TextBox ID="FirstName" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="FirstNameRequired" runat="server" ControlToValidate="FirstName" ErrorMessage="Firstname is required." ToolTip="Firstname is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br />

                                        <asp:Label ID="LastNameLabel" runat="server" AssociatedControlID="LastName" Font-Bold="true">Lastname</asp:Label><br />
                                        <asp:TextBox ID="LastName" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="LastNameRequired" runat="server" ControlToValidate="FirstName" ErrorMessage="Lastname is required." ToolTip="Lastname is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br />

                                        <asp:Label ID="CompanyLabel" runat="server" AssociatedControlID="Company" Font-Bold="true">Company</asp:Label> &nbsp;(optional)<br />
                                        <asp:TextBox ID="Company" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="CompanyRequired" runat="server" ControlToValidate="FirstName" ErrorMessage="Lastname is required." ToolTip="Lastname is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br />
                                </asp:WizardStep>
                            
                                <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
                                    <ContentTemplate>
                                        <h2>Step 2 of 2:</h2>
                                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Font-Bold="true">Username</asp:Label><br />
                                        <asp:TextBox ID="UserName" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br /><br />

                                        <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email" Font-Bold="true">E-mail:</asp:Label><br />
                                        <asp:TextBox ID="Email" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" ErrorMessage="E-mail is required." ToolTip="E-mail is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br /><br />
                                        
                                        <asp:Label ID="QuestionLabel" runat="server" AssociatedControlID="Question" Font-Bold="true">Security Question:</asp:Label><br />
                                        <asp:TextBox ID="Question" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="QuestionRequired" runat="server" ControlToValidate="Question" ErrorMessage="Security question is required." ToolTip="Security question is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br /><br />

                                        <asp:Label ID="AnswerLabel" runat="server" AssociatedControlID="Answer" Font-Bold="true">Security Answer:</asp:Label><br />
                                        <asp:TextBox ID="Answer" runat="server" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="AnswerRequired" runat="server" ControlToValidate="Answer" ErrorMessage="Security answer is required." ToolTip="Security answer is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password" ControlToValidate="ConfirmPassword" Display="Dynamic" ErrorMessage="The Password and Confirmation Password must match." ValidationGroup="CreateUserWizard1"></asp:CompareValidator>
                                        <br /><br />

                                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Font-Bold="true">Password:</asp:Label><br />
                                        <asp:TextBox ID="Password" runat="server" TextMode="Password" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" ErrorMessage="Password is required." ToolTip="Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br /><br />

                                        <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword" Font-Bold="true">Confirm Password:</asp:Label><br />
                                        <asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password" Width="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server" ControlToValidate="ConfirmPassword" ErrorMessage="Confirm Password is required." ToolTip="Confirm Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
                                        <br /><br />

                                        <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>

                                    </ContentTemplate>
                                </asp:CreateUserWizardStep>

                                <asp:WizardStep ID="CreateUserWizardStep2" runat="server" >
                                        <h2>Set User Roles:</h2>
                                        <p>By default, all new accounts are added to the "users" role.</p>  
                                        <p><b>Select all additional roles for this user:</b></p>
                                        <asp:CheckBoxList ID="CheckBoxList1" runat="server" RepeatColumns="2"  CellPadding="5"/>
                                        <br />
                                </asp:WizardStep>

                                <asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server">
                                    <ContentTemplate>
                                        <p><b>Create User Complete</b></p>
                                        <p>The user account has been successfully created.</p>
                                        <p><asp:Button ID="ContinueButton" runat="server" CssClass="LoginButton" CausesValidation="False" CommandName="Continue" Text="Continue" ValidationGroup="CreateUserWizard1" /></p>
                                    </ContentTemplate>
                                </asp:CompleteWizardStep>
                            </WizardSteps>
                            <TitleTextStyle Font-Bold="True" />
                            <CreateUserButtonStyle CssClass="LoginButton" />
                            <NavigationButtonStyle CssClass="LoginButton" />
                            <ErrorMessageStyle ForeColor="red"  />
                        </asp:CreateUserWizard>
                        
                        
                     </td>
                </tr>
            </table>
            </td>
        </tr>
    </table>

</asp:Content>

